
Foreman - Feature #17675

The "power off VM and delete" action that occurs during a host.destroy, should be a config setting

that can be turned on or off

12/14/2016 09:10 AM - Jason Berry

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When deleting a host from Foreman, if foreman has the compute_resource_id and uuid of the related VM, the host.destroy will reach

in and poweroff/delete the VM.

This should be a configuration setting, of whether to cleanup the VM or not on host removal from Foreman.

The current setting, in a production environment, could be dangerous since it's not a config that can be turned off.  The user has to

use the API to remove the uuid and compute_resource_id from a host object to stop the actions from happening.

History

#1 - 12/14/2016 09:10 AM - Jason Berry

- Tracker changed from Bug to Feature

#2 - 12/14/2016 11:11 AM - Anonymous

it's enough to de-associate the Host<->Connection (iirc in the "Edit Host" Window) to stop the VM from getting deleted.

#3 - 12/14/2016 02:19 PM - Justin Sherrill

- Project changed from Katello to Foreman

#4 - 12/19/2016 03:14 AM - Dominic Cleal

- Subject changed from RFE - The "power off VM and delete" action that occurs during a host.destroy, should be a config setting that can be turned on

or off to The "power off VM and delete" action that occurs during a host.destroy, should be a config setting that can be turned on or off

- Category set to Compute resources

- Priority changed from High to Normal
